curl --request POST \
--url https://iam.basaltic.sh/v1/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "S3BucketAccess",
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": [
"s3:GetObject",
"s3:ListBucket"
],
"resources": [
"my-bucket/*",
"my-bucket"
],
"sid": "AllowS3Read",
"not_actions": [
"iam:*"
],
"not_resources": [
"crn:iam::production:role/*"
],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": [
"home/",
"shared/"
]
}
]
}
]
},
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://iam.basaltic.sh/v1/policies"
payload = {
"name": "S3BucketAccess",
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": ["s3:GetObject", "s3:ListBucket"],
"resources": ["my-bucket/*", "my-bucket"],
"sid": "AllowS3Read",
"not_actions": ["iam:*"],
"not_resources": ["crn:iam::production:role/*"],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": ["home/", "shared/"]
}
]
}
]
},
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'S3BucketAccess',
document: {
version: '2024-01-01',
statements: [
{
effect: 'allow',
actions: ['s3:GetObject', 's3:ListBucket'],
resources: ['my-bucket/*', 'my-bucket'],
sid: 'AllowS3Read',
not_actions: ['iam:*'],
not_resources: ['crn:iam::production:role/*'],
conditions: [{operator: 'equals', key: 's3:prefix', values: ['home/', 'shared/']}]
}
]
},
description: 'Allow read/write access to specific S3 bucket',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://iam.basaltic.sh/v1/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy": {
"id": "c3d4e5f6-a7b8-9012-3456-7890abcdef12",
"crn": "crn:iam::production:policy/ComputeReader",
"name": "S3BucketAccess",
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
},
"is_system": false,
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": [
"s3:GetObject",
"s3:ListBucket"
],
"resources": [
"my-bucket/*",
"my-bucket"
],
"sid": "AllowS3Read",
"not_actions": [
"iam:*"
],
"not_resources": [
"crn:iam::production:role/*"
],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": [
"home/",
"shared/"
]
}
]
}
]
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_handle": "production"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Criar uma política
Criar uma nova política na conta selecionada
iam:CreatePolicy. Consulte permissões de IAM para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Corpo
Os nomes de recursos não devem começar com o prefixo literal crn: ou ser UUIDs (formas canônicas, compactas, entre colchetes ou urn:uuid:, em qualquer caso).
1 - 255"S3BucketAccess"
Documento de política estilo IAM
Show child attributes
Show child attributes
1000"Allow read/write access to specific S3 bucket"
Show child attributes
Show child attributes
{
"environment": "production",
"team": "backend"
}
Resposta
Política criada
Show child attributes
Show child attributes

